/*
 * JBossWS WS-Tools Generated Source
 *
 * Generation Date: Fri Apr 27 12:51:17 BST 2007
 *
 * This generated source code represents a derivative work of the input to
 * the generator that produced it. Consult the input for the copyright and
 * terms of use that apply to this source code.
 */

package org.jboss.bpel.samples.ordermanagement;

import java.io.Serializable;


public class  Item implements Serializable {

protected java.lang.String partNumber;

protected java.lang.String description;

protected int quantity;

protected java.math.BigDecimal price;

protected java.math.BigDecimal extensionAmount;
public Item(){}

public Item(java.lang.String partNumber, java.lang.String description, int quantity, java.math.BigDecimal price, java.math.BigDecimal extensionAmount){
this.partNumber=partNumber;
this.description=description;
this.quantity=quantity;
this.price=price;
this.extensionAmount=extensionAmount;
}
public java.lang.String getPartNumber() { return partNumber ;}

public void setPartNumber(java.lang.String partNumber){ this.partNumber=partNumber; }

public java.lang.String getDescription() { return description ;}

public void setDescription(java.lang.String description){ this.description=description; }

public int getQuantity() { return quantity ;}

public void setQuantity(int quantity){ this.quantity=quantity; }

public java.math.BigDecimal getPrice() { return price ;}

public void setPrice(java.math.BigDecimal price){ this.price=price; }

public java.math.BigDecimal getExtensionAmount() { return extensionAmount ;}

public void setExtensionAmount(java.math.BigDecimal extensionAmount){ this.extensionAmount=extensionAmount; }

}
